<html>
  <head>
    <meta content="text/html; charset=ISO-8859-1"
      http-equiv="Content-Type">
  </head>
  <body bgcolor="#FFFFFF" text="#000000">
    Hi Tom,<br>
    <br>
    here are the outputs:<br>
    <br>
    <address>-----------------------------------------------------------------</address>
    <address>[12:36:08] Astrobook2:$ /usr/bin/gcc --version</address>
    <address>i686-apple-darwin11-llvm-gcc-4.2 (GCC) 4.2.1 (Based on
      Apple Inc. build 5658) (LLVM build 2336.9.00)</address>
    <address>
      -----------------------------------------------------------------</address>
    <br>
    and<br>
    <br>
    <address>-----------------------------------------------------------------</address>
    <address>[12:37:14] Astrobook2:$ which gcc</address>
    <address>/opt/mesasdk/bin/gcc</address>
    <address>[12:37:17] Astrobook2:$ gcc --version</address>
    <address>gcc (GCC) 4.7.0 20111114 (experimental)</address>
    <address>
      -----------------------------------------------------------------</address>
    <br>
    The gcc 4.7 is part of a package I had to install for another code.
    This is why I used $CC to specify which compiler to use.<br>
    <br>
    Thanks a lot,<br>
    <br>
    JC<br>
    <br>
    <div class="moz-cite-prefix">On 6/20/12 12:25 PM, Thomas Robitaille
      wrote:<br>
    </div>
    <blockquote
cite="mid:CAGMHX_28sx8e=V8ftzfeg9+26VKjhTN4uCFToL9bhsfoxSEioQ@mail.gmail.com"
      type="cite">
      <pre wrap="">Hi JC,

What is the output of:

/usr/bin/gcc --version

and

gcc --version

?

Cheers,
Tom

On 20 June 2012 19:17, Jean-Claude Passy &lt;jcpassy@gmail.com&gt; wrote:
</pre>
      <blockquote type="cite">
        <pre wrap="">Hello Tim,

yes, I am using the Xcode compiler:

--------------------------------------------------------------------------------
[12:15:30] Astrobook2:$ CC=/usr/bin/gcc pip install astropy
--------------------------------------------------------------------------------
Thanks,

JC


On 6/19/12 1:51 PM, Tim Jenness wrote:

On Tue, Jun 19, 2012 at 10:40 AM, Jean-Claude Passy &lt;jcpassy@gmail.com&gt;
wrote:

Hi,

I am new on the mailing list and would like to try the astropy package.
Unfortunately, I cannot get it installed with the pip command (see error
below).
I have installed a full version of Python 2.7.2 through the yT package.
I am running on Mac OS Lion.

I just built it on lion with the system gcc-4.2 and Python 3.2 and it
was fine in the sense that it built ok. It did fail some tests.

I would really appreciate if someone could help me fix this.
Thanks a lot,

Are you using the Xcode gcc compiler or one that you have installed
yourself? That's a fatal bug in gcc that you are reporting.




_______________________________________________
AstroPy mailing list
AstroPy@scipy.org
http://mail.scipy.org/mailman/listinfo/astropy

</pre>
      </blockquote>
    </blockquote>
    <br>
    <br>
  </body>
</html>